import { BigNumberish, BN } from "../utils";
export interface RateModel {
    UBar: BigNumberish;
    R0: BigNumberish;
    R1: BigNumberish;
    R2: BigNumberish;
}
export declare function truncate18DecimalBN(input: BN, digits: number): BN;
export declare class LPFeeCalculator {
    private readonly rateModel;
    constructor(rateModel: RateModel);
    calculateAreaUnderRateCurve(utilization: BN): BN;
    calculateInstantaneousRate(utilization: BigNumberish): BN;
    calculateRealizedLpFeePct(utilizationBeforeDeposit: BigNumberish, utilizationAfterDeposit: BigNumberish, truncateDecimals?: boolean): BN;
    calculateApyFromUtilization(utilizationBeforeDeposit: BN, utilizationAfterDeposit: BN): BN;
}
export declare function calculateInstantaneousRate(rateModel: RateModel, utilization: BigNumberish): BN;
export declare function calculateApyFromUtilization(rateModel: RateModel, utilizationBeforeDeposit: BN, utilizationAfterDeposit: BN): BN;
export declare function calculateRealizedLpFeePct(rateModel: RateModel, utilizationBeforeDeposit: BigNumberish, utilizationAfterDeposit: BigNumberish, truncateDecimals?: boolean): BN;
