"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LineaGoerliQueries = exports.LineaQueries = void 0;
var tslib_1 = require("tslib");
var constants_1 = require("../../constants");
var DeploymentUtils_1 = require("../../utils/DeploymentUtils");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var baseQuery_1 = tslib_1.__importDefault(require("./baseQuery"));
var LineaQueries = (function (_super) {
    tslib_1.__extends(LineaQueries, _super);
    function LineaQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.LINEA); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return LineaQueries;
}(baseQuery_1.default));
exports.LineaQueries = LineaQueries;
var LineaGoerliQueries = (function (_super) {
    tslib_1.__extends(LineaGoerliQueries, _super);
    function LineaGoerliQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.LINEA_GOERLI); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return LineaGoerliQueries;
}(baseQuery_1.default));
exports.LineaGoerliQueries = LineaGoerliQueries;
//# sourceMappingURL=linea.js.map