"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptimismSepoliaQueries = exports.OptimismGoerliQueries = exports.OptimismQueries = void 0;
var tslib_1 = require("tslib");
var DeploymentUtils_1 = require("../../utils/DeploymentUtils");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var constants_1 = require("../../constants");
var l2_provider_1 = require("@eth-optimism/sdk/dist/l2-provider");
var baseQuery_1 = tslib_1.__importDefault(require("./baseQuery"));
var OptimismQueries = (function (_super) {
    tslib_1.__extends(OptimismQueries, _super);
    function OptimismQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.OPTIMISM); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, (0, l2_provider_1.asL2Provider)(provider), symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return OptimismQueries;
}(baseQuery_1.default));
exports.OptimismQueries = OptimismQueries;
var OptimismGoerliQueries = (function (_super) {
    tslib_1.__extends(OptimismGoerliQueries, _super);
    function OptimismGoerliQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.OPTIMISM_GOERLI); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS_TEST; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, (0, l2_provider_1.asL2Provider)(provider), symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return OptimismGoerliQueries;
}(baseQuery_1.default));
exports.OptimismGoerliQueries = OptimismGoerliQueries;
var OptimismSepoliaQueries = (function (_super) {
    tslib_1.__extends(OptimismSepoliaQueries, _super);
    function OptimismSepoliaQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.OPTIMISM_SEPOLIA); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS_TEST; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, (0, l2_provider_1.asL2Provider)(provider), symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return OptimismSepoliaQueries;
}(baseQuery_1.default));
exports.OptimismSepoliaQueries = OptimismSepoliaQueries;
//# sourceMappingURL=optimism.js.map