"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zkSyncSepoliaQueries = exports.zkSyncGoerliQueries = exports.ZkSyncQueries = void 0;
var tslib_1 = require("tslib");
var DeploymentUtils_1 = require("../../utils/DeploymentUtils");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var constants_1 = require("../../constants");
var baseQuery_1 = tslib_1.__importDefault(require("./baseQuery"));
var ZkSyncQueries = (function (_super) {
    tslib_1.__extends(ZkSyncQueries, _super);
    function ZkSyncQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.ZK_SYNC); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ZkSyncQueries;
}(baseQuery_1.default));
exports.ZkSyncQueries = ZkSyncQueries;
var zkSyncGoerliQueries = (function (_super) {
    tslib_1.__extends(zkSyncGoerliQueries, _super);
    function zkSyncGoerliQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.ZK_SYNC_GOERLI); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS_TEST; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return zkSyncGoerliQueries;
}(baseQuery_1.default));
exports.zkSyncGoerliQueries = zkSyncGoerliQueries;
var zkSyncSepoliaQueries = (function (_super) {
    tslib_1.__extends(zkSyncSepoliaQueries, _super);
    function zkSyncSepoliaQueries(provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.ZK_SYNC_SEPOLIA); }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = constants_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return zkSyncSepoliaQueries;
}(baseQuery_1.default));
exports.zkSyncSepoliaQueries = zkSyncSepoliaQueries;
//# sourceMappingURL=zksync.js.map