"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isContractDeployedToAddress = void 0;
var tslib_1 = require("tslib");
var ethers_1 = require("ethers");
function isContractDeployedToAddress(address, provider) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var code;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    if (!address || !ethers_1.utils.isAddress(address)) {
                        return [2, false];
                    }
                    return [4, provider.getCode(address)];
                case 1:
                    code = _a.sent();
                    return [2, code !== "0x"];
            }
        });
    });
}
exports.isContractDeployedToAddress = isContractDeployedToAddress;
//# sourceMappingURL=AddressUtils.js.map