import { SpokePoolClient } from "../clients";
import { CachingMechanismInterface, Deposit, DepositWithBlock, Fill, SlowFillRequest } from "../interfaces";
export declare enum InvalidFill {
    DepositIdInvalid = 0,
    DepositIdNotFound = 1,
    FillMismatch = 2
}
export type DepositSearchResult = {
    found: true;
    deposit: DepositWithBlock;
} | {
    found: false;
    code: InvalidFill;
    reason: string;
};
export declare function queryHistoricalDepositForFill(spokePoolClient: SpokePoolClient, fill: Fill | SlowFillRequest, cache?: CachingMechanismInterface): Promise<DepositSearchResult>;
export declare function isMessageEmpty(message?: string): boolean;
export declare function isDepositSpedUp(deposit: Deposit): boolean;
export declare function resolveDepositMessage(deposit: Deposit): string;
