import { Contract, PopulatedTransaction, providers } from "ethers";
import { FillStatus, RelayData, SlowFillRequest, V2RelayData, V3Deposit, V3Fill, V3RelayData } from "../interfaces";
import { SpokePoolClient } from "../clients";
type BlockTag = providers.BlockTag;
export declare function populateV3Relay(spokePool: Contract, deposit: V3Deposit, relayer: string, repaymentChainId?: number): Promise<PopulatedTransaction>;
export declare function getBlockRangeForDepositId(targetDepositId: number, initLow: number, initHigh: number, maxSearches: number, spokePool: SpokePoolClient): Promise<{
    low: number;
    high: number;
}>;
export declare function getDepositIdAtBlock(contract: Contract, blockTag: number): Promise<number>;
export declare function getRelayDataHash(relayData: RelayData, destinationChainId?: number): string;
export declare function getV2RelayHash(relayData: V2RelayData): string;
export declare function getV3RelayHash(relayData: V3RelayData, destinationChainId: number): string;
export declare function getV3RelayHashFromEvent(e: V3Deposit | V3Fill | SlowFillRequest): string;
export declare function relayFillStatus(spokePool: Contract, relayData: V3RelayData, blockTag?: number | "latest", destinationChainId?: number): Promise<FillStatus>;
export declare function fillStatusArray(spokePool: Contract, relayData: V3RelayData[], blockTag?: BlockTag): Promise<(FillStatus | undefined)[]>;
export declare function findFillBlock(spokePool: Contract, relayData: V3RelayData, lowBlockNumber: number, highBlockNumber?: number): Promise<number | undefined>;
export {};
