import { HubPool, HubPool__factory, HubPoolInterface } from "../typechain";
import { providers, Signer } from "ethers";
import { Balances, SerializableEvent } from "./utils";
export type Instance = HubPool;
export declare const Factory: typeof HubPool__factory;
export type Interface = HubPoolInterface;
export declare function connect(address: string, provider: providers.Provider | Signer): Instance;
export type TokenEventState = {
    tokenBalances: Balances;
    lpTokenBalances: Balances;
    l1Token?: string;
    lpToken?: string;
    enabled?: boolean;
};
export type EventState = Record<string, TokenEventState>;
export declare function eventStateDefaults(): EventState;
export declare function getEventState(events: SerializableEvent[], eventState?: EventState): EventState;
