import { providers } from "ethers";
import { GasPriceEstimate } from "./types";
/**
 * Provide an estimate for the current gas price for a particular chain.
 * @param chainId The chain ID to query for gas prices.
 * @param provider A valid ethers provider.
 * @param legacyFallback In the case of an unrecognised chain, fall back to type 0 gas estimation.
 * @returns Am object of type GasPriceEstimate.
 */
export declare function getGasPriceEstimate(provider: providers.Provider, chainId?: number, legacyFallback?: boolean): Promise<GasPriceEstimate>;
