import { __assign } from "tslib";
export function formattedLog(logger, _a) {
    var level = _a.level, message = _a.message, _b = _a.at, location = _b.location, fnName = _b.function, data = _a.data;
    if (logger) {
        logger[level](__assign({ at: "".concat(location, "#").concat(fnName), message: message }, data));
    }
}
/**
 * Asserts the truth of a condition. If the condition is false, an error is thrown with the provided message.
 * @param condition The condition to assert.
 * @param message The message to throw if the condition is false.
 * @throws Error if the condition is false.
 */
export function assert(condition, message) {
    if (!condition) {
        throw new Error(message);
    }
}
//# sourceMappingURL=LogUtils.js.map