import { Reviver } from "./TypeUtils";
/**
 * A reviver composer that takes a list of revivers and returns a single reviver that applies all of them.
 * @param revivers The revivers to compose.
 * @returns A single reviver that applies all of the revivers passed in. If no revivers are passed in, the identity
 * function is returned.
 */
export declare function composeRevivers(...revivers: Reviver[]): Reviver;
/**
 * Reviver function that converts a stringified BigNumber object to a BigNumber object.
 * @param _ The key to the value being revived. Unused.
 * @param value The value being revived.
 * @returns The revived value. If the value is not a stringified BigNumber object, it is returned as-is.
 */
export declare function objectWithBigNumberReviver(_: unknown, value: unknown): unknown;
