import { ethers } from "ethers";
import AbstractApiClient from "./abstractClient";
import { CoingeckoDataReturnType, SuggestedFeeReturnType, BridgeLimitsReturnType, AcrossBridgeStatisticsType } from "./types";
/**
 * An implementation of AbstractApiClient that uses the production API.
 * @class
 * @extends AbstractApiClient
 * @note This implementation makes API calls to RESTful services.
 */
export default class ProductionApiClient extends AbstractApiClient {
    constructor(serverlessApiUrl: string, scraperApiUrl: string);
    getCoinGeckoData(l1Token: string, baseCurrency: string): Promise<CoingeckoDataReturnType>;
    getSuggestedFees(amount: ethers.BigNumber, originToken: string, toChainid: number, fromChainid: number): Promise<SuggestedFeeReturnType>;
    getBridgeLimits(token: string, fromChainId: string | number, toChainId: string | number): Promise<BridgeLimitsReturnType>;
    getAcrossStats(): Promise<AcrossBridgeStatisticsType>;
}
//# sourceMappingURL=productionClient.d.ts.map