/**
 * A typeguard for a number with the added check that the number is an integer.
 * @param value The value to check.
 * @returns True if the value is a number and an integer, false otherwise.
 */
export declare function isInteger(value: unknown): value is number;
/**
 * A typeguard for a number with added checks that the number is an integer and is greater to zero.
 * @param value The value to check.
 * @returns True if the value is a number, an integer, and greater than zero, false otherwise.
 */
export declare function isPositiveInteger(value: unknown): value is number;
//# sourceMappingURL=NumberUtils.d.ts.map