import { ContractInterface } from "ethers";
/**
 * @dev To retrieve a new ABI, the following is useful:
 * CONTRACT_ADDRESS="0x1234..."
 * URL="http://api.etherscan.io/api?module=contract&action=getabi&format=raw&address=${CONTRACT_ADDRESS}"
 * curl -s "${URL}" | python -m json.tool > "./src/utils/abi/contracts/new-contract.json"
 */
/**
 * @notice Obtain the path to the local ABI JSON store.
 * @returns Fully-qualified path to the local ABI JSON store.
 */
export declare function getABIDir(): string;
/**
 * @notice Retrieve an ABI desription from the set of known contracts.
 * @param contractName Name of the contract ABI to retrieve.
 * @returns Contract ABI as an ethers ContractInterface type.
 */
export declare function getABI(contractName: string): Promise<ContractInterface>;
//# sourceMappingURL=index.d.ts.map